/*
 * objectthread.h: Componentlibrary for the Video Disk Recorder
 *
 * Library-Core (Thread)
 *
 * (C) 2002 Mirko Gnther <mi.guenther@ib-helms.de>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 *
 */

#ifndef VDRC__OBJECTTHREAD_H
#define VDRC__OBJECTTHREAD_H
#include <vdr/thread.h>
#include "object.h"

class cObjectThread : public cThread
{
 private:
  bool running;
 protected:
  virtual void Action();
 public:
   cObjectThread();
   virtual ~cObjectThread();
};//class cObjectThread

#endif //VDRC__OBJECTTHREAD_H
