/*
 * progressbar.h: Componentlibrary for the Video Disk Recorder
 *
 * Component: Progressbar
 *
 * (C) 2002 Mirko Gnther <mi.guenther@ib-helms.de>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 *
 */

#ifndef VDRC__PROGRESSBAR_H
#define VDRC__PROGRESSBAR_H

//#include <vdr/osdbase.h>
#include "object.h"

class cProgressBar: public cComponent
{
 private:
  int x,y, current, total;
  cComponent* test;
 protected:
  virtual void Paint();

 public:
  cProgressBar(/*cInterface* interface,*/int X, int Y, int Width = 200, int Height = 20, int Current=0, int Total=100);
  virtual ~cProgressBar();
  virtual void Draw();
  virtual char* ClassID(void) {return "cProgressBar";}


  void setTotal  (int Total);
  void setCurrent(int Current);
};//class cProgressBar

class cTest: public cComponent
{
 protected:
  virtual void Paint() {}
 public:
  cTest():cComponent("Test") {}
  virtual ~cTest() {}

  virtual char* ClassID(void) {return "cTest";}
};//
#endif
