/*
 * object.cpp: Componentlibrary for the Video Disk Recorder
 *
 * Library-Core
 *
 * (C) 2002 Mirko Gnther <mi.guenther@ib-helms.de>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 *
 */

#include <vdr-components/object.h>
//#include <vdr-components/objectthread.h>
#include <iostream.h>
#include <stdlib.h>

//extern cObjectList*   List;
//extern cObjectThread* ListThread;

// ------------------------------ cComponent -------------------------------
cComponent::cComponent(char* Name)
{
 cout << "Constructor cComponent ... ";
 name = Name;
 cout << "done." << endl;
}//cComponent::cComponent()

cComponent::~cComponent()
{
 cout << "Destructor cComponent ... ";
 cout << "done." << endl;
}//cComponent::~cComponent()

/*void cComponent::Draw()
{
 Paint();
}//void cComponent::Draw()
*/
// -------------------------------- cObject --------------------------------

cObject::cObject()
{
 cout << "Constructor cObject ... ";
 PluginName = NULL;
 cout << "done." << endl;
}//cObject::cObject()

cObject::~cObject()
{
 cout << "Destructor cObject ...";
 if(PluginName)
  delete PluginName;
 cout << "done." << endl;
}//cObject::~cObject()

void cObject::setPluginName(char* plName)
{
 PluginName = new char[strlen(plName)+1];
 strcpy(PluginName,plName);
}//void cObject::setPluginName(char* plName)

const char* cObject::getPluginName()
{
 return PluginName;
}//const char* cObject::getPluginName()

// ------------------------------ cObjectList ------------------------------

