/*
 * progressbar.cpp: Componentlibrary for the Video Disk Recorder
 *
 * Component: Progressbar
 *
 * (C) 2002 Mirko Gnther <mi.guenther@ib-helms.de>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 *
 */

#include <vdr/interface.h>
#include <vdr-components/progressbar.h>
#include <iostream.h>

cProgressBar::cProgressBar(/*cInterface* interface,*/int X, int Y, int Width, int Height, int Current, int Total)
:cComponent("Test")
{
  cout << "Constructor cProgressBar ... ";
  current = Current;
  total   = Total;
  x	  = X;
  y	  = Y;
  //test = new cTest;
  cout << "done." << endl;
}//cProgressBar::cProgressBar(cInterface* interface,int X ,int X, int Width, int Height, int Current, int Total)

cProgressBar::~cProgressBar()
{
 cout << "Destructor cProgressBar ... ";
 //delete test;
 cout << "done." << endl;
}//cProgressBar::~cProgressBar()

void cProgressBar::Paint()
{
  cout << "ProgressBar::Paint ... ";
  /*cBitmap bm(width,height,2);
  if(total > 0) {
   int p = current * width / total;

   bm.Clear();
   getInterface()->SetBitmap(x,y,bm); // clear Progressbar
   bm.Fill(0, 0, width, height, clrWhite);
   //Draw(); // Draw Background
   bm.Fill(0, 0, p, height, clrGreen);
   //Draw();  // Draw Bar
  }//if
 getInterface()->SetBitmap(x,y,bm);*/
 //cComponent::cPaint();
 cout << "done." << endl;
}//void cProgressBar::Paint()

void cProgressBar::Draw()
{
 Paint();
}//void cProgressBar::Draw()


void cProgressBar::setTotal(int Total)
{
 total = Total;
 if(total < current)
  current = total;
}//void cProgressBar::setTotal(int Total)

void cProgressBar::setCurrent(int Current)
{
 if(Current <= total) {
   current = Current;
  }//if
}//void cProgressBar::setCurrent()
